# Ipopt::TripletHelper Class Reference

`#include <IpTripletHelper.hpp>`

List of all members.

## Static Public Member Functions
A set of recursive routines that help with the Triplet format.
static Index | GetNumberEntries (const Matrix &matrix)
| find the total number of triplet entries of a Matrix
static void | FillRowCol (Index n_entries, const Matrix &matrix, Index *iRow, Index *jCol, Index row_offset=0, Index col_offset=0)
| fill the irows, jcols structure for the triplet format from the matrix
static void | FillValues (Index n_entries, const Matrix &matrix, Number *values)
| fill the values for the triplet format from the matrix
static void | FillValuesFromVector (Index dim, const Vector &vector, Number *values)
| fill the values from the vector into a dense double* structure
static void | PutValuesInVector (Index dim, const double *values, Vector &vector)
| put the values from the double* back into the vector
## Static Private Member Functions
static Index | GetNumberEntries_ (const SumMatrix &matrix)
| find the total number of triplet entries for the SumMatrix
static Index | GetNumberEntries_ (const SumSymMatrix &matrix)
| find the total number of triplet entries for the SumSymMatrix
static Index | GetNumberEntries_ (const CompoundMatrix &matrix)
| find the total number of triplet entries for the CompoundMatrix
static Index | GetNumberEntries_ (const CompoundSymMatrix &matrix)
| find the total number of triplet entries for the CompoundSymMatrix
static Index | GetNumberEntries_ (const TransposeMatrix &matrix)
| find the total number of triplet entries for the TransposeMatrix
static Index | GetNumberEntries_ (const ExpandedMultiVectorMatrix &matrix)
| find the total number of triplet entries for the TransposeMatrix
static void | FillRowCol_ (Index n_entries, const GenTMatrix &matrix, Index row_offset, Index col_offset, Index *iRow, Index *jCol)
static void | FillValues_ (Index n_entries, const GenTMatrix &matrix, Number *values)
static void | FillRowCol_ (Index n_entries, const SymTMatrix &matrix, Index row_offset, Index col_offset, Index *iRow, Index *jCol)
static void | FillValues_ (Index n_entries, const SymTMatrix &matrix, Number *values)
static void | FillRowCol_ (Index n_entries, const DiagMatrix &matrix, Index row_offset, Index col_offset, Index *iRow, Index *jCol)
static void | FillValues_ (Index n_entries, const DiagMatrix &matrix, Number *values)
static void | FillRowCol_ (Index n_entries, const IdentityMatrix &matrix, Index row_offset, Index col_offset, Index *iRow, Index *jCol)
static void | FillValues_ (Index n_entries, const IdentityMatrix &matrix, Number *values)
static void | FillRowCol_ (Index n_entries, const ExpansionMatrix &matrix, Index row_offset, Index col_offset, Index *iRow, Index *jCol)
static void | FillValues_ (Index n_entries, const ExpansionMatrix &matrix, Number *values)
static void | FillRowCol_ (Index n_entries, const SumMatrix &matrix, Index row_offset, Index col_offset, Index *iRow, Index *jCol)
static void | FillValues_ (Index n_entries, const SumMatrix &matrix, Number *values)
static void | FillRowCol_ (Index n_entries, const SumSymMatrix &matrix, Index row_offset, Index col_offset, Index *iRow, Index *jCol)
static void | FillValues_ (Index n_entries, const SumSymMatrix &matrix, Number *values)
static void | FillRowCol_ (Index n_entries, const CompoundMatrix &matrix, Index row_offset, Index col_offset, Index *iRow, Index *jCol)
static void | FillValues_ (Index n_entries, const CompoundMatrix &matrix, Number *values)
static void | FillRowCol_ (Index n_entries, const CompoundSymMatrix &matrix, Index row_offset, Index col_offset, Index *iRow, Index *jCol)
static void | FillValues_ (Index n_entries, const CompoundSymMatrix &matrix, Number *values)
static void | FillRowCol_ (Index n_entries, const ScaledMatrix &matrix, Index row_offset, Index col_offset, Index *iRow, Index *jCol)
static void | FillValues_ (Index n_entries, const ScaledMatrix &matrix, Number *values)
static void | FillRowCol_ (Index n_entries, const SymScaledMatrix &matrix, Index row_offset, Index col_offset, Index *iRow, Index *jCol)
static void | FillValues_ (Index n_entries, const SymScaledMatrix &matrix, Number *values)
static void | FillRowCol_ (Index n_entries, const TransposeMatrix &matrix, Index row_offset, Index col_offset, Index *iRow, Index *jCol)
static void | FillValues_ (Index n_entries, const TransposeMatrix &matrix, Number *values)
static void | FillRowCol_ (Index n_entries, const ExpandedMultiVectorMatrix &matrix, Index row_offset, Index col_offset, Index *iRow, Index *jCol)
static void | FillValues_ (Index n_entries, const ExpandedMultiVectorMatrix &matrix, Number *values)

## Detailed Description

Definition at line 39 of file IpTripletHelper.hpp.

## Member Function Documentation

static Index Ipopt::TripletHelper::GetNumberEntries | ( | const Matrix & | matrix | ) | `[static]`

find the total number of triplet entries of a Matrix

static void Ipopt::TripletHelper::FillRowCol | ( | Index | n_entries,
|  | const Matrix & | matrix,
|  | Index * | iRow,
|  | Index * | jCol,
|  | Index | row_offset = `0`,
|  | Index | col_offset = `0` |
| ) |  |  | `[static]`

fill the irows, jcols structure for the triplet format from the matrix

static void Ipopt::TripletHelper::FillValues | ( | Index | n_entries,
|  | const Matrix & | matrix,
|  | Number * | values |
| ) |  |  | `[static]`

fill the values for the triplet format from the matrix

static void Ipopt::TripletHelper::FillValuesFromVector | ( | Index | dim,
|  | const Vector & | vector,
|  | Number * | values |
| ) |  |  | `[static]`

fill the values from the vector into a dense double* structure

static void Ipopt::TripletHelper::PutValuesInVector | ( | Index | dim,
|  | const double * | values,
|  | Vector & | vector |
| ) |  |  | `[static]`

put the values from the double* back into the vector

static Index Ipopt::TripletHelper::GetNumberEntries_ | ( | const SumMatrix & | matrix | ) | `[static, private]`

find the total number of triplet entries for the SumMatrix

static Index Ipopt::TripletHelper::GetNumberEntries_ | ( | const SumSymMatrix & | matrix | ) | `[static, private]`

find the total number of triplet entries for the SumSymMatrix

static Index Ipopt::TripletHelper::GetNumberEntries_ | ( | const CompoundMatrix & | matrix | ) | `[static, private]`

find the total number of triplet entries for the CompoundMatrix

static Index Ipopt::TripletHelper::GetNumberEntries_ | ( | const CompoundSymMatrix & | matrix | ) | `[static, private]`

find the total number of triplet entries for the CompoundSymMatrix

static Index Ipopt::TripletHelper::GetNumberEntries_ | ( | const TransposeMatrix & | matrix | ) | `[static, private]`

find the total number of triplet entries for the TransposeMatrix

static Index Ipopt::TripletHelper::GetNumberEntries_ | ( | const ExpandedMultiVectorMatrix & | matrix | ) | `[static, private]`

find the total number of triplet entries for the TransposeMatrix

static void Ipopt::TripletHelper::FillRowCol_ | ( | Index | n_entries,
|  | const GenTMatrix & | matrix,
|  | Index | row_offset,
|  | Index | col_offset,
|  | Index * | iRow,
|  | Index * | jCol |
| ) |  |  | `[static, private]`

static void Ipopt::TripletHelper::FillValues_ | ( | Index | n_entries,
|  | const GenTMatrix & | matrix,
|  | Number * | values |
| ) |  |  | `[static, private]`

static void Ipopt::TripletHelper::FillRowCol_ | ( | Index | n_entries,
|  | const SymTMatrix & | matrix,
|  | Index | row_offset,
|  | Index | col_offset,
|  | Index * | iRow,
|  | Index * | jCol |
| ) |  |  | `[static, private]`

static void Ipopt::TripletHelper::FillValues_ | ( | Index | n_entries,
|  | const SymTMatrix & | matrix,
|  | Number * | values |
| ) |  |  | `[static, private]`

static void Ipopt::TripletHelper::FillRowCol_ | ( | Index | n_entries,
|  | const DiagMatrix & | matrix,
|  | Index | row_offset,
|  | Index | col_offset,
|  | Index * | iRow,
|  | Index * | jCol |
| ) |  |  | `[static, private]`

static void Ipopt::TripletHelper::FillValues_ | ( | Index | n_entries,
|  | const DiagMatrix & | matrix,
|  | Number * | values |
| ) |  |  | `[static, private]`

static void Ipopt::TripletHelper::FillRowCol_ | ( | Index | n_entries,
|  | const IdentityMatrix & | matrix,
|  | Index | row_offset,
|  | Index | col_offset,
|  | Index * | iRow,
|  | Index * | jCol |
| ) |  |  | `[static, private]`

static void Ipopt::TripletHelper::FillValues_ | ( | Index | n_entries,
|  | const IdentityMatrix & | matrix,
|  | Number * | values |
| ) |  |  | `[static, private]`

static void Ipopt::TripletHelper::FillRowCol_ | ( | Index | n_entries,
|  | const ExpansionMatrix & | matrix,
|  | Index | row_offset,
|  | Index | col_offset,
|  | Index * | iRow,
|  | Index * | jCol |
| ) |  |  | `[static, private]`

static void Ipopt::TripletHelper::FillValues_ | ( | Index | n_entries,
|  | const ExpansionMatrix & | matrix,
|  | Number * | values |
| ) |  |  | `[static, private]`

static void Ipopt::TripletHelper::FillRowCol_ | ( | Index | n_entries,
|  | const SumMatrix & | matrix,
|  | Index | row_offset,
|  | Index | col_offset,
|  | Index * | iRow,
|  | Index * | jCol |
| ) |  |  | `[static, private]`

static void Ipopt::TripletHelper::FillValues_ | ( | Index | n_entries,
|  | const SumMatrix & | matrix,
|  | Number * | values |
| ) |  |  | `[static, private]`

static void Ipopt::TripletHelper::FillRowCol_ | ( | Index | n_entries,
|  | const SumSymMatrix & | matrix,
|  | Index | row_offset,
|  | Index | col_offset,
|  | Index * | iRow,
|  | Index * | jCol |
| ) |  |  | `[static, private]`

static void Ipopt::TripletHelper::FillValues_ | ( | Index | n_entries,
|  | const SumSymMatrix & | matrix,
|  | Number * | values |
| ) |  |  | `[static, private]`

static void Ipopt::TripletHelper::FillRowCol_ | ( | Index | n_entries,
|  | const CompoundMatrix & | matrix,
|  | Index | row_offset,
|  | Index | col_offset,
|  | Index * | iRow,
|  | Index * | jCol |
| ) |  |  | `[static, private]`

static void Ipopt::TripletHelper::FillValues_ | ( | Index | n_entries,
|  | const CompoundMatrix & | matrix,
|  | Number * | values |
| ) |  |  | `[static, private]`

static void Ipopt::TripletHelper::FillRowCol_ | ( | Index | n_entries,
|  | const CompoundSymMatrix & | matrix,
|  | Index | row_offset,
|  | Index | col_offset,
|  | Index * | iRow,
|  | Index * | jCol |
| ) |  |  | `[static, private]`

static void Ipopt::TripletHelper::FillValues_ | ( | Index | n_entries,
|  | const CompoundSymMatrix & | matrix,
|  | Number * | values |
| ) |  |  | `[static, private]`

static void Ipopt::TripletHelper::FillRowCol_ | ( | Index | n_entries,
|  | const ScaledMatrix & | matrix,
|  | Index | row_offset,
|  | Index | col_offset,
|  | Index * | iRow,
|  | Index * | jCol |
| ) |  |  | `[static, private]`

static void Ipopt::TripletHelper::FillValues_ | ( | Index | n_entries,
|  | const ScaledMatrix & | matrix,
|  | Number * | values |
| ) |  |  | `[static, private]`

static void Ipopt::TripletHelper::FillRowCol_ | ( | Index | n_entries,
|  | const SymScaledMatrix & | matrix,
|  | Index | row_offset,
|  | Index | col_offset,
|  | Index * | iRow,
|  | Index * | jCol |
| ) |  |  | `[static, private]`

static void Ipopt::TripletHelper::FillValues_ | ( | Index | n_entries,
|  | const SymScaledMatrix & | matrix,
|  | Number * | values |
| ) |  |  | `[static, private]`

static void Ipopt::TripletHelper::FillRowCol_ | ( | Index | n_entries,
|  | const TransposeMatrix & | matrix,
|  | Index | row_offset,
|  | Index | col_offset,
|  | Index * | iRow,
|  | Index * | jCol |
| ) |  |  | `[static, private]`

static void Ipopt::TripletHelper::FillValues_ | ( | Index | n_entries,
|  | const TransposeMatrix & | matrix,
|  | Number * | values |
| ) |  |  | `[static, private]`

static void Ipopt::TripletHelper::FillRowCol_ | ( | Index | n_entries,
|  | const ExpandedMultiVectorMatrix & | matrix,
|  | Index | row_offset,
|  | Index | col_offset,
|  | Index * | iRow,
|  | Index * | jCol |
| ) |  |  | `[static, private]`

static void Ipopt::TripletHelper::FillValues_ | ( | Index | n_entries,
|  | const ExpandedMultiVectorMatrix & | matrix,
|  | Number * | values |
| ) |  |  | `[static, private]`

The documentation for this class was generated from the following file:

- src/LinAlg/TMatrices/IpTripletHelper.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines